ACL_CHECK(3)

NAME
acl_error - convert an ACL error code to a text message

LIBRARY
Linux Access Control Lists library (libacl, -lacl).

SYNOPSIS
#include <sys/types.h>
#include <acl/libacl.h>
const char *
acl_error(int code);

DESCRIPTION
The acl_error() function converts an ACL error code such as returned by the acl_check() function to a text message describing the error condition. In the “POSIX” locale, acl_check() returns the following descriptions for the error codes.

ACL_MULTI_ERROR
    “Multiple entries”

ACL_DUPLICATE_ERROR
    “Duplicate entries”

ACL_MISS_ERROR
    “Missing or wrong entry”

ACL_ENTRY_ERROR
    “Invalid entry type”

RETURN VALUE
The acl_error() function returns a text message if the error code is recognized, and a value of (const char *)NULL otherwise.

STANDARDS
This is a non-portable, Linux specific extension to the ACL manipulation functions defined in IEEE Std 1003.1e draft 17 (“POSIX.1e”, abandoned).

SEE ALSO
acl_check(3), acl_valid(3), acl(5)

AUTHOR
Written by Andreas Gruenbacher <a.gruenbacher@bestbits.at>.